--
-- Patch DML de GRHUM du 11/01/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1/1
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 
-- Date de publication : 11/01/2013
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--

-- Mise à jour de la table RNE
-- Mise à jour des Grades, des Corps, des Echelons

WHENEVER SQLERROR EXIT SQL.SQLCODE;



--
-- DB_VERSION
--
INSERT INTO GRHUM.DB_VERSION VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL, '1.7.1.22', TO_DATE('11/01/2013', 'DD/MM/YYYY'),NULL,'Mise à jour des tables RNE, Grades, Corps, Passage_echelon, Passage_chevron');
commit;



--
-- GRHUM.RNE
--
-- http://www.education.gouv.fr/annuaire/63-puy-de-dome/clermont-ferrand/lycee/lycee-blaise-pascal.html
update grhum.rne 
set adresse=upper('36 avenue Carnot'), code_postal=63000 , ville=upper('Clermont-Ferrand')
where c_rne='0630018C';

-- http://www.education.gouv.fr/annuaire/92-hauts-de-seine/antony/lycee/lycee-sainte-marie.html
update grhum.rne 
set adresse=upper('2 rue de l''Abbaye'), code_postal=92160 , ville=upper('Antony')
where c_rne='0920904H';


-- http://www.education.gouv.fr/annuaire/59-nord/lille/lycee/lycee-baggio.html
update grhum.rne 
set adresse=upper('Boulevard d''Alsace'), code_postal=59000 , ville=upper('Lille')
where c_rne='0590121L';


-- UBS + ENSBIS
Insert into RNE
(C_RNE, LL_RNE, ADRESSE, CODE_POSTAL, D_CREATION, 
D_MODIFICATION, ACAD_CODE, ETAB_STATUT, VILLE)
Values
('0561890A', 'ENSBIS LORIENT', 'RUE LE COAT ST HAOUEN', '56321', TO_DATE('01/01/2011 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
TO_DATE('01/01/2011 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), '014', 'PU', 'LORIENT');
Insert into RNE
(C_RNE, LL_RNE, ADRESSE, CODE_POSTAL, D_CREATION, 
D_MODIFICATION, ACAD_CODE, ETAB_STATUT, VILLE)
Values
('0561913A', 'UNIVERSITE DE BRETAGNE SUD', '27 RUE ARMAND GUILLEMOT', '56321', TO_DATE('01/01/2012 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
TO_DATE('01/01/2012 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), '014', 'PU', 'LORIENT');



--
-- CORPS
--
-- ASSISTANT SERVICE SOCIAL ADMIN DE L'ETAT
Insert into GRHUM.CORPS(C_CORPS, LC_CORPS, LL_CORPS, C_TYPE_CORPS, C_CATEGORIE, TEM_CFP, TEM_CRCT, TEM_DELEGATION, TEM_MISDEP, TEM_SURNOMBRE, D_OUVERTURE_CORPS, D_CREATION, D_MODIFICATION, POTENTIEL_BRUT, TEM_LOCAL)
 Values('987', 'ASSAE', 'ASSISTANT SERVICE SOCIAL ADMIN DE L''ETAT', 'AC', 'B', 'O', 'N', 'N', 'N', 'N', TO_DATE('01/10/2012', 'DD/MM/YYYY'), SYSDATE, SYSDATE, 0, 'N');
-- MEDECIN INSPECTEUR DE SANTE PUBL. (N.ST)
update grhum.corps set lc_corps='MED.INSP.S', ll_corps='MEDECIN INSPECTEUR DE SANTE PUBL. (N.ST)', c_type_corps='AC', d_ouverture_corps=to_date('01/07/1991','dd/mm/yyyy'), d_fermeture_corps=null, d_modification=sysdate where c_corps='288';
-- MEDECIN DE L'EDUCATION NATIONALE
update grhum.corps set d_fermeture_corps=null, d_modification=sysdate where c_corps='997';
-- MEDECIN CONTRACTUEL SANTE SCOLAIRE
update grhum.corps set d_ouverture_corps=to_date('01/07/1977','DD/MM/YYYY'), d_fermeture_corps=null, d_modification=sysdate where c_corps='857'; 
-- MEDECIN DE L'E.N.- CONSEILLER TECHNIQUE
update grhum.corps set d_ouverture_corps=to_date('27/11/1991','DD/MM/YYYY'), d_fermeture_corps=null, d_modification=sysdate where c_corps='998'; 
-- PERSONNEL D'ORIENTATION 
update grhum.corps set d_fermeture_corps=null, d_modification=sysdate where c_corps='521';


 
--
-- GRADE
--
-- ASSISTANT DE SERVICE SOCIAL AE
Insert into GRHUM.GRADE(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, TEMOIN_NOTE, D_OUVERTURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
 Values('9871', 'ASSAE', 'ASSISTANT DE SERVICE SOCIAL AE', '987', 'B', 'O', TO_DATE('01/10/2012', 'DD/MM/YYYY'), SYSDATE, SYSDATE, 'N');
-- ASSISTANT PRINCIPAL DE SERVICE SOCIAL AE
Insert into GRHUM.GRADE(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, TEMOIN_NOTE, D_OUVERTURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
 Values('9872', 'ASSPAE', 'ASSISTANT PRINCIPAL DE SERVICE SOCIAL AE', '987', 'B', 'O', TO_DATE('01/10/2012', 'DD/MM/YYYY'), SYSDATE, SYSDATE, 'N');

-- MEDECIN INSPECTEUR EN CHEF SANTE PUBLIQ.
update grhum.grade set lc_grade='MED.INS.S.', ll_grade='MEDECIN INSPECTEUR EN CHEF SANTE PUBLIQ.', d_ouverture=to_date('01/07/1991','dd/mm/yyyy'), d_fermeture=null, d_modification=sysdate where c_grade='2882';
-- MEDECIN INSPECTEUR SANTE PUBLIQUE 2E CL.
update grhum.grade set d_ouverture=to_date('01/07/1991','dd/mm/yyyy'), d_fermeture=null, d_modification=sysdate where c_grade='2883';
-- MEDECIN GENERAL DE SANTE PUBLIQUE
update grhum.grade set d_ouverture=to_date('01/07/1991','dd/mm/yyyy'), d_fermeture=null, d_modification=sysdate where c_grade='2881';
-- MEDECIN CONTRACTUEL SANTE SCOLAIRE
update grhum.grade set d_ouverture=to_date('01/07/1977','dd/mm/yyyy'), d_fermeture=null, d_modification=sysdate where c_grade='8571';
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G%
Insert into GRHUM.GRADE(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, TEMOIN_NOTE, D_OUVERTURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
 Values('9983', 'MCT GR3', 'MEDECIN E.N.-CONSEILLER TECHNIQUE G3', '998', 'A', 'O', TO_DATE('01/08/2012', 'DD/MM/YYYY'), SYSDATE, SYSDATE, 'N');
Insert into GRHUM.GRADE(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, TEMOIN_NOTE, D_OUVERTURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
 Values('9982', 'MCT GR2', 'MEDECIN E.N.-CONSEILLER TECHNIQUE G2', '998', 'A', 'O', TO_DATE('01/08/2012', 'DD/MM/YYYY'), SYSDATE, SYSDATE, 'N');
Insert into GRHUM.GRADE(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, TEMOIN_NOTE, D_OUVERTURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
 Values('9981', 'MCT GR1', 'MEDECIN E.N.-CONSEILLER TECHNIQUE G1', '998', 'A', 'O', TO_DATE('01/08/2012', 'DD/MM/YYYY'), SYSDATE, SYSDATE, 'N');

 

--
-- LIEN_GRADE_MEN_TG
--
insert into grhum.LIEN_GRADE_MEN_TG(C_GRADE, C_GRADE_TG, DATE_OUVERTURE, D_CREATION, D_MODIFICATION, LIBELLE)
 Values('9871','1683020000',TO_DATE('01/10/2012', 'DD/MM/YYYY'),SYSDATE,SYSDATE,'ASSISTANT DE SERVICE SOCIAL AE');
insert into grhum.LIEN_GRADE_MEN_TG(C_GRADE, C_GRADE_TG, DATE_OUVERTURE, D_CREATION, D_MODIFICATION, LIBELLE)
 Values('9872','1683010000',TO_DATE('01/10/2012', 'DD/MM/YYYY'),SYSDATE,SYSDATE,'ASSISTANT PRINCIPAL DE SERVICE SOCIAL AE');
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G%
insert into grhum.LIEN_GRADE_MEN_TG(C_GRADE, C_GRADE_TG, DATE_OUVERTURE, D_CREATION, D_MODIFICATION, LIBELLE)
 Values('9983','0000001017',TO_DATE('01/08/2012', 'DD/MM/YYYY'),SYSDATE,SYSDATE,'MEDECIN E.N.-CONSEILLER TECHNIQUE G3');
insert into grhum.LIEN_GRADE_MEN_TG(C_GRADE, C_GRADE_TG, DATE_OUVERTURE, D_CREATION, D_MODIFICATION, LIBELLE)
 Values('9982','0000001016',TO_DATE('01/08/2012', 'DD/MM/YYYY'),SYSDATE,SYSDATE,'MEDECIN E.N.-CONSEILLER TECHNIQUE G2');
insert into grhum.LIEN_GRADE_MEN_TG(C_GRADE, C_GRADE_TG, DATE_OUVERTURE, D_CREATION, D_MODIFICATION, LIBELLE)
 Values('9981','0000001015',TO_DATE('01/08/2012', 'DD/MM/YYYY'),SYSDATE,SYSDATE,'MEDECIN E.N.-CONSEILLER TECHNIQUE G1');

 

--
-- PASSAGE_ECHELON
--
-- ASSISTANT DE SERVICE SOCIAL AE
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '01', '350', 1, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '02', '357', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '03', '370', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '04', '384', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '05', '406', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '06', '430', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '07', '450', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '08', '472', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '09', '500', 3, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '10', '528', 3, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '11', '558', 3, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '12', '584', 4, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9871', '13', '614', SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
-- ASSISTANT PRINCIPAL DE SERVICE SOCIAL AE
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '01', '422', 1, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '02', '441', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '03', '461', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '04', '486', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '05', '514', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '06', '544', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '07', '572', 2, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '08', '599', 2, 6, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '09', '625', 2, 6, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '10', '646', 3, SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9872', '11', '675', SYSDATE, SYSDATE, TO_DATE('01/10/2012', 'DD/MM/YYYY'), 'N');
-- MEDECIN INSPECTEUR EN CHEF SANTE PUBLIQ.
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2882', '01', '749', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2882', '02', '830', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2882', '03', '901', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2882', '04', '966', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2882', '05', '1015', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
-- MEDECIN INSPECTEUR SANTE PUBLIQUE 2E CL.
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '01', '427', 1, 1, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '02', '479', 1, 1, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '03', '513', 1, 6, 1, 6, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '04', '562', 1, 6, 1, 6, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '05', '612', 1, 6, 1, 6, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '06', '654', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '07', '701', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '08', '749', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '09', '771', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '10', '821', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2883', '11', '851', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
-- MEDECIN GENERAL DE SANTE PUBLIQUE
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2881', '01', '1015', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2881', '02', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('2881', '03', SYSDATE, SYSDATE, TO_DATE('01/07/1991', 'DD/MM/YYYY'), 'N');
-- MEDECIN DE L'E.N. 2EME CLASSE
update GRHUM.PASSAGE_ECHELON set d_fermeture=TO_DATE('21/07/2012','DD/MM/YYYY') where c_grade='9971' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '01', '528', 1, 1, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '02', '588', 1, 1, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '03', '655', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '04', '701', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '05', '750', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '06', '801', 2, 2, 6, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '07', '852', 2, 2, 6, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '08', '901', 2, 2, 6, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9971', '09', '966', SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
-- MEDECIN DE L'E.N. 1ERE CLASSE
update GRHUM.PASSAGE_ECHELON set d_fermeture=TO_DATE('21/07/2012','DD/MM/YYYY') where c_grade='9972' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9972', '01', '801', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9972', '02', '852', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9972', '03', '901', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9972', '04', '966', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9972', '05', '1015', 2, 6, 3, SYSDATE, SYSDATE, TO_DATE('22/07/2012', 'DD/MM/YYYY'), 'N');
-- MEDECIN CONTRACTUEL SANTE SCOLAIRE
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('8571', '01', '563', 3, SYSDATE, SYSDATE, TO_DATE('01/07/1977', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('8571', '02', '637', 3, SYSDATE, SYSDATE, TO_DATE('01/07/1977', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('8571', '03', '701', 3, 6, SYSDATE, SYSDATE, TO_DATE('01/07/1977', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('8571', '04', '777', 3, 6, SYSDATE, SYSDATE, TO_DATE('01/07/1977', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('8571', '05', '582', 3, 6, SYSDATE, SYSDATE, TO_DATE('01/07/1977', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('8571', '06', '901', SYSDATE, SYSDATE, TO_DATE('01/07/1977', 'DD/MM/YYYY'), 'N');
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G3
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9983', '01', '841', 1, 6, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9983', '02', '871', 1, 6, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9983', '03', '910', 2, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9983', '04', '966', 2, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9983', '05', '1015', 2, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9983', '06', SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G2
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9982', '01', '901', 1, 6, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9982', '02', '966', 1, 6, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9982', '03', '1015', 2, SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9982', '04', SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9982', '05', SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G1
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9981', '01', SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9981', '02', SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('9981', '03', SYSDATE, SYSDATE, TO_DATE('01/08/2012', 'DD/MM/YYYY'), 'N');
-- CONSEILLER D'ORIENTATION PSYCHOLOGUE
-- Rem : grille indiciaire en double
delete from GRHUM.PASSAGE_ECHELON where c_grade='5211' and to_char(d_ouverture,'DD/MM/YYYY')='01/01/1900' and d_fermeture is null and tem_local='N';
update GRHUM.PASSAGE_ECHELON set d_fermeture=TO_DATE('31/01/2012','DD/MM/YYYY') where c_grade='5211' and c_echelon='03' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('5211', '03', '501', 1, SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
update GRHUM.PASSAGE_ECHELON set d_fermeture=TO_DATE('31/01/2012','DD/MM/YYYY') where c_grade='5211' and c_echelon='04' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('5211', '04', '518', 2, 2, 6, 2, 6, SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');
update GRHUM.PASSAGE_ECHELON set d_fermeture=TO_DATE('31/01/2012','DD/MM/YYYY') where c_grade='5211' and c_echelon='05' and d_fermeture is null;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('5211', '05', '539', 2, 6, 3, 3, 6, SYSDATE, SYSDATE, TO_DATE('01/02/2012', 'DD/MM/YYYY'), 'N');

 
 
--
-- PASSAGE_CHEVRON
--
-- MEDECIN INSPECTEUR EN CHEF SANTE PUBLIQ.
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2882', '05', 'A-1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2882', '05', 'A-2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2882', '05', 'A-3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
-- MEDECIN GENERAL DE SANTE PUBLIQUE
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2881', '02', 'B-1', 1, SYSDATE, SYSDATE, 'B-1', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2881', '02', 'B-2', 1, SYSDATE, SYSDATE, 'B-2', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2881', '02', 'B-3', SYSDATE, SYSDATE, 'B-3', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2881', '03', 'C-1', 1, SYSDATE, SYSDATE, 'C-1', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2881', '03', 'C-2', 1, SYSDATE, SYSDATE, 'C-2', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('2881', '03', 'C-3', SYSDATE, SYSDATE, 'C-3', TO_DATE('01/07/1991', 'DD/MM/YYYY'));
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G3
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9983', '06', 'A-1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9983', '06', 'A-2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9983', '06', 'A-3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G2
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9982', '04', 'A-1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9982', '04', 'A-2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9982', '04', 'A-3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9982', '05', 'B-1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9982', '05', 'B-2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9982', '05', 'B-3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
-- MEDECIN E.N.-CONSEILLER TECHNIQUE G1
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '01', 'A-1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '01', 'A-2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '01', 'A-3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '02', 'B-1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '02', 'B-2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '02', 'B-3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '03', 'B-B1', 1, SYSDATE, SYSDATE, 'A-1', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '03', 'B-B2', 1, SYSDATE, SYSDATE, 'A-2', TO_DATE('01/08/2012', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('9981', '03', 'B-B3', SYSDATE, SYSDATE, 'A-3', TO_DATE('01/08/2012', 'DD/MM/YYYY'));


-- DT 5377 Mise a jour des echelons du grade 0564 : ADJENES Principaux 1ere Classe

DELETE FROM GRHUM.PASSAGE_ECHELON where c_grade = '0564';
 
SET DEFINE OFF;
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '01', '347', NULL, NULL, 
    1, 6, 2, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '02', '362', NULL, NULL, 
    1, 6, 2, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '03', '377', NULL, NULL, 
    2, NULL, 3, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '04', '396', NULL, NULL, 
    2, NULL, 3, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '05', '424', NULL, NULL, 
    2, NULL, 3, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '06', '449', NULL, NULL, 
    3, NULL, 4, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '07', '479', NULL, NULL, 
    3, NULL, 4, NULL, TO_DATE('01/09/2009 15:04:55', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('11/09/2012 10:30:49', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2009 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');
Insert into GRHUM.PASSAGE_ECHELON
   (C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_GR_CHOIX_ANNEES, DUREE_GR_CHOIX_MOIS, 
    DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, 
    D_MODIFICATION, D_FERMETURE, D_OUVERTURE, TEM_LOCAL)
 Values
   ('0564', '08', '499', NULL, NULL, 
    NULL, NULL, NULL, NULL, TO_DATE('11/09/2012 10:30:49', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('11/09/2012 10:30:49', 'MM/DD/YYYY HH24:MI:SS'), NULL, TO_DATE('01/01/2012 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'N');


--
-- DB_VERSION
--
UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.7.1.22';


COMMIT;